//---------------------------------------------------------------------------

#ifndef ClipFormH
#define ClipFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <AppEvnts.hpp>
//---------------------------------------------------------------------------

#define WM_TRAY_ICON_MESSAGE (WM_USER+1997)
//---------------------------------------------------------------------------
#define WM_TRAY_ICON_ID (9)


class TClipForm1 : public TForm
{
__published:	// IDE-managed Components
	TPopupMenu *PopupMenu1;
	TMenuItem *Active1;
	TMenuItem *Exit1;
	TTimer *Timer1;
	TImage *ImageInactive;
	TImage *ImageActive;
        TMenuItem *About1;
        TMenuItem *Options1;
	void __fastcall Exit1Click(TObject *Sender);
	void __fastcall Active1Click(TObject *Sender);
	void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall About1Click(TObject *Sender);
        void __fastcall Options1Click(TObject *Sender);
public:		// User declarations
	__fastcall TClipForm1(TComponent* Owner);
	__fastcall ~TClipForm1();
protected:
	 BEGIN_MESSAGE_MAP
		MESSAGE_HANDLER(WM_TRAY_ICON_MESSAGE,TMessage,TrayIcon_HandleMessage)
		MESSAGE_HANDLER(WM_HOTKEY,TMessage,WMHotKey)
	 END_MESSAGE_MAP(TForm)

  private:	// User declarations
	 void TrayIcon_Create (const char *tipText,HICON hIcon);
	 void TrayIcon_Delete(void);
	 void TrayIcon_HandleMessage(TMessage &Message);
	 void TrayIcon_ModifyTip(const char *tipText);
	 void TrayIcon_ModifyIcon(HICON hIcon);


	void __fastcall ConvertClip();

   void __fastcall SetActive(bool active);

   void __fastcall SetHotKey();
   void __fastcall UnsetHotKey();
   void __fastcall WMHotKey(TMessage &Message);
   bool HotKeySet;
   bool StripWS, StripCR;



};
//---------------------------------------------------------------------------
extern PACKAGE TClipForm1 *ClipForm1;
//---------------------------------------------------------------------------
#endif